Package org.eclipse.cdt.core.dom.ast

## Interface IASTMacroExpansionLocation

All Superinterfaces:
  `IASTNodeLocation`

    public interface IASTMacroExpansionLocation
    extends IASTNodeLocation

Node location inside of a macro expansion.

Since:
  5.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`EMPTY_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTPreprocessorMacroExpansion` `getExpansion()` Returns the expansion node enclosing this location.
`int` `getNodeLength()` Returns the length of this location.
`int` `getNodeOffset()` Returns an offset within the macro-expansion.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNodeLocation

`asFileLocation`

### Method Detail

#### getExpansion

    IASTPreprocessorMacroExpansion getExpansion()

Returns the expansion node enclosing this location. This will be the outermost macro expansion that can actually be found in the code.

#### getNodeOffset

    int getNodeOffset()

Returns an offset within the macro-expansion. The offset can be used to compare nodes within the same macro-expansion. However, it does not serve as an offset into a file.

Specified by:
  `getNodeOffset` in interface `IASTNodeLocation`

#### getNodeLength

    int getNodeLength()

Returns the length of this location. The length can be used to compare this location with others from within the same macro-expansion. However, the length does not neccessarily relate to a length in terms of characters.

Specified by:
  `getNodeLength` in interface `IASTNodeLocation`